Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.book.search.lucene
Class ExtendedLuceneSyntax

    java.lang.Object
      org.crosswire.jsword.book.search.lucene.ExtendedLuceneSyntax

All Implemented Interfaces:
  SearchSyntax

    public class ExtendedLuceneSyntax

extends Object
implements SearchSyntax

ExtendedLuceneSyntax represents the extension of stock Lucene syntax with passage ranges and with blurring (searching in nearby verses).

Author:
  DM Smith [ dmsmith555 at yahoo dot com]
See Also:
  `for license details. The copyright to this program is held by it's authors.`

Field Summary
`private char` | `close`
`private char` | `fuzzy`
`private char` | `minus`
`private char` | `open`
`private char` | `plus`
`private char` | `quote`
`private static String` | `SPACE` In our parsing we use space quite a lot and this ensures there is only one and that we don't have lots of NON-NLS comments everywhere
`private char` | `wild`

Constructor Summary
`ExtendedLuceneSyntax()`

Method Summary
`String` | `decorateAllWords(String queryWords)`
`String` | `decorateAnyWords(String queryWords)`
`String` | `decorateNotWords(String queryWords)`
`String` | `decoratePhrase(String queryWords)`
`String` | `decorateRange(String queryWords)`
`String` | `decorateSpellWords(String queryWords)`
`String` | `decorateStartWords(String queryWords)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### quote

    private char quote

### plus

    private char plus

### minus

    private char minus

### open

    private char open

### close

    private char close

### fuzzy

    private char fuzzy

### wild

    private char wild

### SPACE

    private static final String SPACE

  In our parsing we use space quite a lot and this ensures there is only one and that we don't have lots of NON-NLS comments everywhere

  See Also:
    Constant Field Values

Constructor Detail

### ExtendedLuceneSyntax

    public ExtendedLuceneSyntax()

Method Detail

### decorateAllWords

    public String decorateAllWords(String queryWords)

  Specified by:
    `decorateAllWords` in interface `SearchSyntax`

### decorateAnyWords

    public String decorateAnyWords(String queryWords)

  Specified by:
    `decorateAnyWords` in interface `SearchSyntax`

### decoratePhrase

    public String decoratePhrase(String queryWords)

  Specified by:
    `decoratePhrase` in interface `SearchSyntax`

### decorateNotWords

    public String decorateNotWords(String queryWords)

  Specified by:
    `decorateNotWords` in interface `SearchSyntax`

### decorateRange

    public String decorateRange(String queryWords)

  Specified by:
    `decorateRange` in interface `SearchSyntax`

### decorateSpellWords

    public String decorateSpellWords(String queryWords)

  Specified by:
    `decorateSpellWords` in interface `SearchSyntax`

### decorateStartWords

    public String decorateStartWords(String queryWords)

  Specified by:
    `decorateStartWords` in interface `SearchSyntax`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD